Subject: WG Last Call: AgentX Advancement

From: "Natale, Robert C (Bob)" <[email-masked]>
Date: Mon, 1 Oct 2001 12:56:14 -0400

Hi everyone,

I recently completed a review of the "issues list" on
the AgentX web site and the e-mail discussion list for
the past several months, in conjunction with a final
review of the [13] implementation reports we received
(and which were summarized on this list prior to the
London IETF).  As a result, I would like to make a
final request to the WG membership to comment as to
whether:

1.  We should ask the IESG to advance the current
    RFCs (2741 and 2742) to Draft Standard status.

or

2.  Anyone wants to recommend specific changes to
    the documents that are *required* for successful
    implementation or interoperability.

My personal assessment is that the record argues for
#1.  We received 13 implementation reports, none of
which identified spec defects preventing successful
implementation or interoperability.  In addition, there
are at least two known commercial implementations that
did not file implementation reports.  A fair number of
the known implementations are aimed at developers of
SNMP-managed products and are known to have fairly
wide distribution (e.g., several hundred development
organizations).  Hence, distribution of AgentX technology
is known to be quite wide and on-going discussions on
several of the public e-mail lists indicate that
development and deployment work is continuing at a
fairly lively pace.

The major area (in my judgment) of potential new work
for AgentX is in the area of sharing authentication
information and/or responsibilities between the master
agent and its body of sub-agents.  Most likely we would
want this to be done in the context of SNMPv3 interactions
between SNMPv3 command generator and/or notification receiver
applications and the AgentX master agent.  If we want to
pursue this, we should do so in the context of a new
charter for the AgentX WG.  I just wanted you to know that
that is on the table for future discussion.  It should not
be a part of the determination as to whether to advance
the current documents or modify them for advancement.
We will take it up once that primary issue is resolved.

If you feel that specific changes to the existing documents
are *required* for successful implementation or interoperability,
please post the details, including proposed replacement text,
asap...but no later than Wed, 10/10/01 (5pm EDT).

Questions, suggestions, comments welcomed...as always.

Cordially,

BobN